package org.dromara.ems.base.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 能源类型信息对象 ems_base_energy_type
 * 
 * @author Yinq
 * @date 2024-05-08
 */
@ExcelIgnoreUnannotated
public class EmsBaseEnergyType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objId;

    /** 能源类型编号 */
    @ExcelProperty(value = "能源类型编号")
    private Long energyTypeId;

    /** 能源类型名称 */
    @ExcelProperty(value = "能源类型名称")
    private String energyName;

    /** 单位 */
    @ExcelProperty(value = "单位")
    private String measureUnit;

    /** 单价 */
    @ExcelProperty(value = "单价")
    private BigDecimal price;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setEnergyTypeId(Long energyTypeId) 
    {
        this.energyTypeId = energyTypeId;
    }

    public Long getEnergyTypeId() 
    {
        return energyTypeId;
    }
    public void setEnergyName(String energyName) 
    {
        this.energyName = energyName;
    }

    public String getEnergyName() 
    {
        return energyName;
    }
    public void setMeasureUnit(String measureUnit) 
    {
        this.measureUnit = measureUnit;
    }

    public String getMeasureUnit() 
    {
        return measureUnit;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("energyTypeId", getEnergyTypeId())
            .append("energyName", getEnergyName())
            .append("measureUnit", getMeasureUnit())
            .append("price", getPrice())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
